Detaches the labels from the parameters.
POST
v1/accounts/{accountId}/groups/{groupId}/collections/{collectionId}/labels:detach
Detaches the labels from the parameters.
Resource Information
| Method and URI | POST https://developer.api.autodesk.com/parameters/v1/accounts/{accountId}/groups/{groupId}/collections/{collectionId}/labels:detach |
| Authentication Context | user context required |
| Required OAuth Scopes | data:write |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow. |
| Content-Type* string | Must be application/json |
| Region string | The region the hub’s data is provisioned in.
Currently supports US, EMEA, AUS, IND, DEU, JPN, CAN, and GBR. Default is US. |
* Required
Request
URI Parameters
| accountId string: UUID or string: b.UUID | The Autodesk Forma hub ID. |
| groupId string | The group ID. Currently, only one group is supported, and group id is equal to hub id. (Supporting multiple groups is considered for future enhancement). |
| collectionId string | The collection ID. |
Request
Body Structure
| labelIds* array: string | The label IDs. |
| parameterIds* array: string | The parameter IDs. |
* Required
Response
HTTP Status Code Summary
| 201 No Content | Successfully detached the Label from the designated parameters. |
| 400 Bad Request | The request could not be understood by the server due to malformed syntax. |
| 401 Unauthorized | Request has not been applied because it lacks valid authentication credentials for the target resource. |
| 403 Forbidden | The server understood the request but refuses to authorize it. |
| 404 Not Found | The resource cannot be found. |
| 406 Not Acceptable | The server cannot produce a response matching the list of acceptable values defined in the request. |
| 410 | Access to the target resource is no longer available. |
| 429 Too Many Requests | User has sent too many requests in a given amount of time. |
| 500 Internal Server Error | An unexpected error occurred on the server. |
| 503 Service Unavailable | Server is not ready to handle the request. |
Response
Body Structure (201)
| labelIds array: string | The label IDs. |
| parameterIds array: string | The parameter IDs. |
Note: Detach Labels API will return a (204) response even if it returns with errors in the response instead of a (207)
Note: Update or Detach Labels APIs can update parameters outside the specified collection in certain instances.
Example
Successful detachment of the Label from the parameters (201).
Request
curl -v 'https://developer.api.autodesk.com/parameters/v1/accounts/009777bb-e1e5-4577-9800-0789677e4616/groups/009777bb-e1e5-4577-9800-0789677e4616/collections/028b3307-91aa-45ec-864c-1c4af88b8a08/labels:detach' \
-X 'POST' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a' \
-H 'Content-Type: application/json' \
-d '{
"labelIds": [
"ADGN-65851-BCYL-17514"
],
"parameterIds": [
"parameters.009777bb-e1e5-4577-9800-0789677e4616:885621e67e7f4e49b9754b631ea476da-1.0.0"
]
}'
Show More